#include <iostream>

using namespace std;

int
main ()
{
  string tekst;
  string rec;
  int a = 1, b = 0, i = 0, j = 0, rezultat = 0;

  cin >> tekst;
  cin >> rec;

    b=rec.length();

  for (int i = 0; i < tekst.length(); i++)
    {
      if ((tekst[i] == 'a') && (tekst[i+1] == 'a'))
      {
          a++;
          
          if((a>=b) && (tekst[i+2]) != 'a')
          {
              while(a-(b-1)>j)
              {
                  tekst[i+1]='*';
                  rezultat++;
                  i--;
                  j++;
              }
              i += j-1;
              j=0;
          }
      }
      else if(tekst[i] != 'a')
      a=1;
      else if((b==1) && (tekst[i] == 'a'))
      {
          tekst[i]='*';
          rezultat++;
      }
    }
    
  cout << rezultat << endl;
  cout << tekst;

  return 0;
}